function Constant(){}

Constant.ANDROID_DEVICE = 0;
Constant.IOS_DEVICE = 1;

Constant.CUR_DEVICE = 0;								// change constant for android and ios OS

Constant.LIKE_TYPE = 1;
Constant.SUBSCRIBE_TYPE = 2;

Constant.LIKES_LINK_IDENTIFIER = "/p/";					// identifier in link for likes on posts or videos

Constant.LIKE_PRICE = 4;
Constant.SUBSCRIBE_PRICE = 6;
Constant.SUBSCRIBE_MIN_BID = 0;
Constant.LIKE_MIN_BID = 0;

Constant.MIN_COUNT_LIKE = 5;							// min count of input likes
Constant.MIN_COUNT_SUBS = 10;							// min count of input subs
Constant.MAX_COUNT_LIKE = 100;							// max count of input likes
Constant.MAX_COUNT_SUBS = 50;							// max count of input subs
Constant.MAX_PREM_COUNT_LIKE = 1000;					// max count of input likes for premium
Constant.MAX_PREM_COUNT_SUBS = 500;						// max count of input subs for premium

Constant.BOSS_SPEED_UP_X = 10;
Constant.BOSS_SPEED_UP_TASKS_NUM = 10;

Constant.APP_VERSION = "1.0.0";
Constant.APP_PACKAGE = "com.rapidup.royal_followers";

Constant.HOME_PAGE = "https://www.instagram.com";
Constant.LOGIN_PAGE = "https://www.instagram.com/accounts/login/";
Constant.ABOUT_PAGE = "https://www.instagram.com/about/us/";
Constant.EDIT_PAGE = "https://www.instagram.com/accounts/edit/";
Constant.IN_LOGIN = 2;
Constant.IN_ACC = 1;
Constant.IN_PRELOGIN = 3;
Constant.WAIT_JS_FORM_TIME = 1000;

Constant.VERIFY_URL = "http://insta.starfamous.ru/validator/verify_play/";
Constant.VERIFY_IOS_URL = "http://insta.starfamous.ru/validator/verify_itunes/";

Constant.HOME_PART = "";
Constant.LOGIN_PART = "login";
Constant.ACCOUNT_PART = "accounts";
Constant.ABOUT_PART = "about";
Constant.WALL_PART = "wall";
Constant.SETTINGS_PART = "settings";
Constant.PROMOTIONS_PART = "promotions";

//task statuses
Constant.ACTIVE_TASK_STATUS = 0;
Constant.READY_TASK_STATUS = 1;
Constant.FROZEN_TASK_STATUS = 2;
Constant.HANG_TASK_STATUS = 3;

Constant.NULL_ACTION = 0;
Constant.AUTH_ACTION = 1;
Constant.LOGOUT_ACTION = 2;
Constant.INIT_ACTION = 3;
Constant.PROMOTIONS_ACTION = 4;
Constant.GET_INFO_ACTION = 5;
Constant.GET_MH_ACTION = 6;
Constant.LIKE_ACTION = 7;
Constant.SUBSCRIBE_ACTION = 8;
Constant.SHOW_ACTION = 9;
Constant.MORE_FIELDS_ACTION = 10;
Constant.GET_USER_DATA_ACTION = 11;

Constant.CUR_RATIO = 2.0;

Constant.SQL_DB = "famous.db";
Constant.USERS_TABLE = "users";
Constant.LIKES_TABLE = "likes";
Constant.SUBSCRIBES_TABLE = "subscribes";
Constant.SETTINGS_TABLE = "settings";

Constant.SUBSCRIBE_SETTING = 1;
Constant.AUTOEARN_SETTING = 2;
Constant.FIRSTTIME_SETTING = 3;
Constant.SETTINGS = [Constant.SUBSCRIBE_SETTING, Constant.AUTOEARN_SETTING, Constant.FIRSTTIME_SETTING];
Constant.DEF_VALUES = [0, 1, 1];			//default vaues for settings

Constant.LIKE_LIMIT = 40;
Constant.LIKE_MAX_PER_PULL = 8;	//maximum tasks per pull
Constant.LIKE_LIMIT_TIME = 3600;	//seconds
Constant.REMOVE_LIKE_DELAY = 604800;		//7 days in seconds

Constant.SUBSCRIBE_LIMIT = 30;
Constant.SUBSCRIBE_MAX_PER_PULL = 5;	//maximum tasks per pull
Constant.SUBSCRIBE_LIMIT_TIME = 3600;	//seconds
Constant.REMOVE_SUBSCRIBE_DELAY = 2419200;		//28 days in seconds

Constant.MORE_FIELDS_LIMIT = 12;

Constant.SERVER_HOST = "http://insta.starfamous.ru/";

Constant.TT_AUTH = 1;
Constant.VK_AUTH = 2;
Constant.BASE_AUTH = 3;
Constant.FB_AUTH = 4;

Constant.BOT = 1;
Constant.BROWSER = 2;

Constant.READY_STATUS = 1;
Constant.WORKING_STATUS = 2;

/* Action's execute time in milliseconds */
Constant.LOGIN_BASE_TIME = 20000;
Constant.LOGIN_BASE_STUPID_DEVICE = 5000;
Constant.LOGIN_VK_TIME = 35000;
Constant.LOGIN_TT_TIME = 45000;
Constant.LOGIN_FB_TIME = 30000;
Constant.LOGOUT_TIME = 15000;
Constant.PROMOTIONS_TIME = 5000;
Constant.GET_INFO_TIME = 20000;
Constant.GET_MH_TIME = 10000;
Constant.GET_USER_DATA_TIME = 10000;
Constant.INITIALIZE_TIME = 15000;
Constant.LIKE_TIME = 10000;
Constant.SUBSCRIBE_TIME = 10000;
Constant.SHOW_TIME = 2000;
Constant.CLEAR_TIMEOUT = 4000;
Constant.NEWS_DEMON_TIME = 180000;
Constant.PAY_DEMON_TIME = 60000;
Constant.PAY_DEMON_TURBO_1_TIME = 45000;
Constant.PAY_DEMON_TURBO_2_TIME = 30000;
Constant.PAY_DEMON_TURBO_3_TIME = 20000;
Constant.TRY_RUN_CYCLE_INTERVAL = 60000;
Constant.SHOW_RUN_QUEST_INTERVAL = 1000;
Constant.GET_USER_DATA_TIMEOUT = 3500;

Constant.LIMIT_WAIT_TIME = 35000;

Constant.STAY_SAFE_USER_TIME = 3600;	//sec

Constant.CHECK_CAPTCHA_TIME = 7000;
Constant.CHECK_CAPTCHA_VK_TIME = 2000;
Constant.WAIT_STORE_TIME = 5000;
Constant.GET_INFO_CHECK_INTERVAL = 800;
Constant.ACTION_CHECK_INTERVAL = 800;
Constant.RELOAD_ACTION_TIME = 30000;

Constant.GET_QUESTS_MIN_TIME = 500;	//10000
Constant.GET_QUESTS_MAX_TIME = 2000;	//30000

Constant.AD_TIMEOUT_BEGIN = 10000;		//10000
Constant.AD_INTERVAL_START = 20000;  //20000
Constant.AD_INTERVAL = 60000; 	//60000

Constant.CLOSE_DB_TIMEOUT = 2000;
Constant.CLOSE_DB_TIMEOUT_BIG = 3000;
Constant.INJECT_SCRIPT_TIMEOUT = 500;

Constant.REQUEST_CONNECTION_TIME = 2000; //30000
Constant.MAX_REQUESTS_CONNECTION = 10; //30000

Constant.maxSpeed = 10;

Constant.SERVICE_HOST = "instagram.com";
Constant.INST_WWW_HOST = "www.instagram.com";
Constant.VK_HOST = "oauth.vk.com";
Constant.TT_HOST = "api.twitter.com";
Constant.FB_HOST = "m.facebook.com";				//for mobile (www for desktop)

Constant.MAIL = "saas.rbs@gmail.com";

Constant.OK_STATUS = "ok";
Constant.OK_STATUS_IN = "ok_in";
Constant.ERR_STATUS = "err";

Constant.SECURE_CIPHER = "rijndael-128";
Constant.SECURE_KEY = "53207678919046167893865556001283";
Constant.SECURE_MODE = "cbc";
Constant.SECURE_IV = "1234567891123456";

Constant.AD_ID = "ca-app-pub-7347916112198833/1945856707";
Constant.EN_LANG = "en";
Constant.RU_LANG = "ru";
Constant.UA_LANG = "uk";
Constant.BE_LANG = "be";
Constant.DE_LANG = "de";
Constant.ES_LANG = "es";
Constant.FR_LANG = "fr";
Constant.IT_LANG = "it";
Constant.TR_LANG = "tr";

Constant.AD_MOB_MODE = "mob";
Constant.AD_MINE_MODE = "mine";

Constant.LOGIN_VIEW = 1;
Constant.MAIN_VIEW = 2;
Constant.TASKS_VIEW = 3;
Constant.EARN_VIEW = 4;
Constant.BID_VIEW = 5;
Constant.NAV_VIEW = 6;
Constant.DONATE_VIEW = 7;
Constant.SETTINGS_VIEW = 8;
Constant.DIALOG_VIEW = 9;
Constant.BOT_VIEW = 10;
Constant.MESSAGES_VIEW = 11;
Constant.CORRECT_VIEW = 12;
Constant.AUTHTROUBLE_VIEW = 13;
Constant.GUIDE_VIEW = 14;
Constant.TOP_VIEW = 15;
Constant.LVLPRIZE_VIEW = 16;
Constant.MINEAD_VIEW = 17;
Constant.PRIVACY_VIEW = 18;
Constant.NEWS_VIEW = 19;

// top users places prizes
Constant.TOP_PLACE_FIRST = 1;
Constant.TOP_PLACE_SECOND = 2;
Constant.TOP_PLACE_THIRD = 3;
Constant.TOP_PLACE_FOURTH = 4;
Constant.TOP_PLACE_FIFTH = 5;

// top users places num prizes
Constant.TOP_PLACE_FIRST_NUM = 500;
Constant.TOP_PLACE_SECOND_NUM = 400;
Constant.TOP_PLACE_THIRD_NUM = 300;
Constant.TOP_PLACE_FOURTH_NUM = 200;
Constant.TOP_PLACE_FIFTH_NUM = 100;

//browser's errors 1 - 100
Constant.ERR_CODE_BROWSER_AUTH = 1;				// auth error
Constant.ERR_CODE_BROWSER_INFO = 2;				// get user info error
Constant.ERR_CODE_BROWSER_UPDATE = 3;			// user info update
Constant.ERR_CODE_BROWSER_LOGOUT = 4;			// user logout
Constant.ERR_CODE_BROWSER_BID = 5;				// page bid
Constant.ERR_CODE_BROWSER_CAPTCHA_ASK = 6;		// ask captcha
Constant.ERR_CODE_BROWSER_REINIT = 7;			// reinit browser
Constant.ERR_CODE_BROWSER_LOGIN_BEFORE = 8;		// already in acc
Constant.ERR_CODE_BROWSER_UNKNOWN = 9;			// unknown error
Constant.ERR_CODE_BROWSER_CLOSED = 10;			// closed before action done
Constant.ERR_CODE_BROWSER_PRIVATE = 11;			// private acc link like

//connector's errors 101 - 200
Constant.ERR_CODE_CONNECTOR_AUTH = 101;			// auth server error
Constant.ERR_CODE_CONNECTOR_UPDATE = 102;		// update server err
Constant.ERR_CODE_CONNECTOR_LOGOUT = 103;		// logout server
Constant.ERR_CODE_CONNECTOR_TASKS = 104;		// tasks server
Constant.ERR_CODE_CONNECTOR_BID = 105;			// bid server
Constant.ERR_CODE_CONNECTOR_DELETE = 106;		// delete server
Constant.ERR_CODE_CONNECTOR_NEWS = 107;			// get news err
Constant.ERR_CODE_CONNECTOR_COMPLETE = 108;		// complete error
Constant.ERR_CODE_CONNECTOR_TOP = 109;			// get top error
Constant.ERR_CODE_CONNECTOR_CONNECTION = 110;	// auth server error

//another errors 201 - 300
Constant.ERR_CODE_DATA_LOAD = 201;				// datamanager load data error
Constant.ERR_CODE_DATA_CLEAR = 202;				// datamanager clear data error
Constant.ERR_CODE_DATA_SAVE = 203;				// datamanager save data error
Constant.ERR_CODE_LOAD_STORE = 204;				// load store data

//bot's errors 301-400
Constant.ERR_CODE_BOT_RUN = 301;				// run bot error
Constant.ERR_CODE_BOT_STOP = 302;				// stop bot error
Constant.ERR_CODE_BOT_BEFORE = 303;				// task was done early
Constant.ERR_CODE_BOT_NOPE = 304;				// element for quest does not exist on page
Constant.ERR_CODE_BOT_LIMIT = 305;				// limit error

Constant.NUM_SYMBOLS_FIRSTHEAD_TRAIN = 60;		// num of symbols in first quest head when watch training
Constant.NUM_SYMBOLS_FIRSTTEXT_TRAIN = 60;		// num of symbols in first quest text when watch training

Constant.TOAST_TIME = 4000;						// toast delay

Constant.FADE_SLOW = 1000;						// fade in/out slow delay
Constant.FADE_FAST = 500;						// fade in/out fast delay
Constant.FADE_VERY_FAST = 250;					// fade in/out very fast delay

Constant.INIT_TIME = 3000;						// fade in/out start loading page delay

Constant.MINER_ANIMATION_TIME = 250;

//viewses height
Constant.IOS_HEIGHT_MINUS = 20;

Constant.NEWS_HEIGHT_MINUS = 96;
Constant.DONATE_HEIGHT_MINUS = 146;
Constant.MAIN_HEIGHT_MINUS = 293;
Constant.TASKS_HEIGHT_MINUS = 96;
Constant.BID_HEIGHT_MINUS = 206;